Advanced search  

News:

cpg1.5.46 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter recently discovered vulnerabilities. It is important that all users who run version cpg1.5.44 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Critical Error upgrading from 1.5.12 t0 1.5.40  (Read 2360 times)

0 Members and 1 Guest are viewing this topic.

joe-lynn

  • Coppermine newbie
  • Offline Offline
  • Posts: 9
Critical Error upgrading from 1.5.12 t0 1.5.40
« on: January 23, 2016, 04:01:47 pm »

Hello
I'm trying to make my website more secure and I noticed my gallery needs to be updated.
I followed instructions here http://documentation.coppermine-gallery.net/en/upgrading.htm

Everything seemed to go well and when I ran the update it showed everything has been done and I ran the version check and its like nothing was updated and getting critical errors.
At first when I clicked the link from my gallery it looked of except needed my new logo. but if I clicked the logo to go to the gallery home page it gives errors. In the meantime I replaced my logo and now the gallery doesn't load at all.

Its giving this error now

While executing query 'SELECT aid, title, r.description, keyword, alb_hits, category, visibility, r.thumb, r.owner, depth AS level, lft, '0' AS pic_count
        FROM cpg_categories AS c
        INNER JOIN cpg_albums AS r ON r.category = c.cid
        WHERE c.depth >= 0 + 1
       
       
        ORDER BY ' in index.php on line 340

mySQL error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 7

_________________________________________________________-

Also saw this

File: /home2/skip2000/public_html/gallery/include/functions.inc.php - Line: 272
____________

It seems like maybe just something simple *hopes

Thanks in advance for any help with this. I'm not very good with this kind of thing and maybe missed something that should have been obvious.

Carl
Logged

ron4mac

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Posts: 657
Re: Critical Error upgrading from 1.5.12 t0 1.5.40
« Reply #1 on: January 23, 2016, 04:47:39 pm »

I followed instructions here http://documentation.coppermine-gallery.net/en/upgrading.htm
It appears that you may not have run the update script (as directed).
« Last Edit: January 23, 2016, 05:00:44 pm by ron4mac »
Logged

joe-lynn

  • Coppermine newbie
  • Offline Offline
  • Posts: 9
Re: Critical Error upgrading from 1.5.12 t0 1.5.40
« Reply #2 on: January 23, 2016, 07:01:33 pm »

Thanks so much.
I did that and it says everything has been done on the page.
How would I rectify this?
Carl
Logged

joe-lynn

  • Coppermine newbie
  • Offline Offline
  • Posts: 9
Re: Critical Error upgrading from 1.5.12 t0 1.5.40
« Reply #3 on: January 23, 2016, 07:27:46 pm »

Ugh! I took off the www. and all is well :)
Except my logo didn't replace the coppermine one for some reason.
As I said I'm very novice, just self taught in this stuff the last 5 years or so. I guess I'll eventually figure it out :)

Thanks again,
Carl
Logged

joe-lynn

  • Coppermine newbie
  • Offline Offline
  • Posts: 9
Re: Critical Error upgrading from 1.5.12 t0 1.5.40
« Reply #4 on: January 23, 2016, 07:54:41 pm »

Well now and I just realized now it only works when I'm logged in.
Seeing another critical error:

While executing query 'SELECT aid, title, r.description, keyword, alb_hits, category, visibility, r.thumb, r.owner, depth AS level, lft, '0' AS pic_count
        FROM cpg_categories AS c
        INNER JOIN cpg_albums AS r ON r.category = c.cid
        WHERE c.depth >= 0 + 1
       
       
        ORDER BY ' in index.php on line 340

mySQL error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 7

I'm lost :/
Logged

ron4mac

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Posts: 657
Re: Critical Error upgrading from 1.5.12 t0 1.5.40
« Reply #5 on: January 23, 2016, 08:25:51 pm »

Can you provide a link to your site?
Logged

joe-lynn

  • Coppermine newbie
  • Offline Offline
  • Posts: 9
Re: Critical Error upgrading from 1.5.12 t0 1.5.40
« Reply #6 on: January 23, 2016, 09:00:50 pm »

Yes Sir
Its right here http://www.joe-lynn.com/
The Coppermine is the "Gallery" tab at the top left on main menu.
Logged

joe-lynn

  • Coppermine newbie
  • Offline Offline
  • Posts: 9
Re: Critical Error upgrading from 1.5.12 t0 1.5.40
« Reply #7 on: January 23, 2016, 09:16:09 pm »

I could also provide the debug info.
Parts of the gallery work fine. Search, admin and such. All the images load fine.
Logged

ron4mac

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Posts: 657
Re: Critical Error upgrading from 1.5.12 t0 1.5.40
« Reply #8 on: January 23, 2016, 09:20:38 pm »

I'm not seeing any errors. What isn't working?
Logged

joe-lynn

  • Coppermine newbie
  • Offline Offline
  • Posts: 9
Re: Critical Error upgrading from 1.5.12 t0 1.5.40
« Reply #9 on: January 23, 2016, 09:49:06 pm »

Oh my. Just looked on firefox and looks good.
I wonder what's up with my browser. I've cleared the browser's cache (ctrl + F5) a dozen times and no change except that one flash then back to this http://www.joe-lynn.com/images/random/cr-err.jpg
Sorry for wasting your time on this but there was initially a problem.
I will try restarting the browser and if still needed I'll restart my PC.
Thank you, you've been very helpful, enjoy the rest of the weekend,
Carl
Logged
Pages: [1]   Go Up
 

Page created in 0.016 seconds with 20 queries.